var firstHit; var rand = Math.floor(Math.random()*5); var maxDamage = 1561;
var itemID = 277; var breakSpeech = "Pure diamond... HOW?"; var repair = 10;
var power = Math.sqrt(blunt_lvl*20)+8; var basicDMG = 0; var stunChance = 5; var stunPower = 4;
var damageGet = 1; var tool = [14, 11, 14, 92, 4, 20, 7]; itemUsed = true; mainSkill = blunt_lvl;

bluntEngine(firstHit,rand,maxDamage,citemID,breakSpeech,repair,power,basicDMG,stunChance,stunPower);
if (pinv.getCurrentItem() != null) {if (pinv.getCurrentItem().itemID == itemID) 
{var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) {if (pinv.getOffhandItem().itemID == itemID) 
{var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}